Loading...
Searching...
No Matches
Catch::Benchmark::SampleAnalysis Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Benchmark::SampleAnalysis:
[legend]

## Public Attributes

std::vector< FDuration > | samples
Estimate< FDuration > | mean
Estimate< FDuration > | standard_deviation
OutlierClassification | outliers
double | outlier_variance

## Member Data Documentation

## mean

Estimate<FDuration> Catch::Benchmark::SampleAnalysis::mean

## outlier_variance

double Catch::Benchmark::SampleAnalysis::outlier_variance

## outliers

OutlierClassification Catch::Benchmark::SampleAnalysis::outliers

## samples

std::vector<FDuration> Catch::Benchmark::SampleAnalysis::samples

## standard_deviation

Estimate<FDuration> Catch::Benchmark::SampleAnalysis::standard_deviation

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp